> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Update a file

PATCH https://api.sigmacomputing.com/v2/files/{inodeId}
Content-Type: application/json

Update a folder or document, such as a workbook, data model, or report.

  ### Usage notes
  - Retrieve the **inodeId** by calling the [/v2/files](https://help.sigmacomputing.com/reference/list-files) endpoint and using the `id` included in the response.
  - Specify a **parentId** to place the document within a folder. Retrieve the ID to use as a **parentId** by calling the [/v2/files](https://help.sigmacomputing.com/reference/list-files) endpoint and reviewing the `id` field in the response for files with a `type` of `folder`.
  - To restore a deleted folder or document, set the **restore** parameter to `true`.
    

Reference: https://help.sigmacomputing.com/reference/update-file

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/files/{inodeId}:
    patch:
      operationId: update
      summary: Update a file
      description: |-
        Update a folder or document, such as a workbook, data model, or report.

          ### Usage notes
          - Retrieve the **inodeId** by calling the [/v2/files](https://help.sigmacomputing.com/reference/list-files) endpoint and using the `id` included in the response.
          - Specify a **parentId** to place the document within a folder. Retrieve the ID to use as a **parentId** by calling the [/v2/files](https://help.sigmacomputing.com/reference/list-files) endpoint and reviewing the `id` field in the response for files with a `type` of `folder`.
          - To restore a deleted folder or document, set the **restore** parameter to `true`.
            
      tags:
        - Files
      parameters:
        - name: inodeId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/files_update_Response_200'
      requestBody:
        description: The request body.
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                description:
                  type: string
                ownerId:
                  type: string
                parentId:
                  type: string
                  description: Folder ID to contain the folder or document
                restore:
                  type: boolean
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaType:
      type: string
      enum:
        - workspace
        - folder
        - workbook
        - dataset
        - data-model
        - sql
        - worksheet
        - dashboard
        - template
        - table
        - symlink
        - report
      title: V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaType
    V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission0:
      type: string
      enum:
        - create
      title: V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission0
    V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission1:
      type: string
      enum:
        - annotate
      title: V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission1
    V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission2:
      type: string
      enum:
        - organize
      title: V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission2
    V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission3:
      type: string
      enum:
        - explore
      title: V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission3
    V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission40:
      type: string
      enum:
        - view
      title: V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission40
    V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission41:
      type: string
      enum:
        - edit
      title: V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission41
    V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission42:
      type: string
      enum:
        - apply
      title: V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission42
    V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission4:
      oneOf:
        - $ref: >-
            #/components/schemas/V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission40
        - $ref: >-
            #/components/schemas/V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission41
        - $ref: >-
            #/components/schemas/V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission42
      title: V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission4
    V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission:
      oneOf:
        - $ref: >-
            #/components/schemas/V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission0
        - $ref: >-
            #/components/schemas/V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission1
        - $ref: >-
            #/components/schemas/V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission2
        - $ref: >-
            #/components/schemas/V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission3
        - $ref: >-
            #/components/schemas/V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission4
      title: V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission
    files_update_Response_200:
      type: object
      properties:
        id:
          type: string
        urlId:
          type: string
        name:
          type: string
        type:
          $ref: >-
            #/components/schemas/V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaType
        parentId:
          type: string
        parentUrlId:
          type: string
        permission:
          $ref: >-
            #/components/schemas/V2FilesInodeIdPatchResponsesContentApplicationJsonSchemaPermission
        path:
          type: string
        badge:
          type:
            - string
            - 'null'
        isArchived:
          type: boolean
        description:
          type: string
        ownerId:
          type:
            - string
            - 'null'
        parentSourceUrlId:
          type: string
          description: >-
            For a document deployed to a tenant organization, the `urlId` of the
            source document in the parent organization. Only present when the
            document was deployed from a parent organization. The source
            document can be a workbook, template, data model, dataset, or
            report.
        createdBy:
          type: string
          description: The identifier of the user who created this object.
        updatedBy:
          type: string
          description: The identifier of the user or process that last updated this object.
        createdAt:
          type: string
          format: date-time
          description: When the object was created.
        updatedAt:
          type: string
          format: date-time
          description: When the object was last updated.
      required:
        - id
        - urlId
        - name
        - type
        - parentId
        - parentUrlId
        - permission
        - path
        - badge
        - isArchived
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
      title: files_update_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
  "urlId": "workspace-1234",
  "name": "Marketing Analytics Workspace",
  "type": "workspace",
  "parentId": "00000000-0000-0000-0000-000000000000",
  "parentUrlId": "root-folder",
  "permission": "create",
  "path": "/Marketing/Analytics",
  "badge": "New",
  "isArchived": false,
  "createdBy": "user-1234abcd-5678-ef90-1234-abcdef567890",
  "updatedBy": "user-1234abcd-5678-ef90-1234-abcdef567890",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-04-20T14:45:00Z",
  "description": "Workspace for marketing analytics projects and reports",
  "ownerId": "user-7890abcd-1234-ef56-7890-abcdef123456",
  "parentSourceUrlId": "source-doc-5678"
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/files/inodeId"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/files/inodeId';
const options = {
  method: 'PATCH',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/files/inodeId"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/files/inodeId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.sigmacomputing.com/v2/files/inodeId")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.sigmacomputing.com/v2/files/inodeId', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/files/inodeId");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/files/inodeId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```